#include "stm32f10x.h"
#include "sys.c"
#include "io.c"
#include "i3202lcd.c"


unsigned int r=0x1f,g=0,b=0,step=0;  
unsigned int color;
void color_bar(void)
{   
  unsigned int n,m;

  LcdSetWindow(0,0,320,187);
  LcdDataStart();

  for(n=0;n<187;n++)
   {     
     color = (r<<11) + (g<<6) + b;
     switch(step)
      {
         case 0:
           g++;
           if(g==0x1f) step=1;
         break;
           
         case 1:
           r--;
           if(r==0) step=2;
         break;
           
         case 2:
           b++;
           if(b==0x1f) step=3;
         break;
           
         case 3:
           g--;
           if(g==0) step=4;
         break;
           
         case 4:
           r++;
           if(r==0x1f) step=5;
         break;
           
         case 5:
           b--;
           if(b==0) step=0;
           
         default:
         break;
      }

     for(m=0;m<320;m++)
      { 
          LcdDataWrite(color);
      }
   }
  LcdDataEnd();          

}


int main(void)
{
  unsigned int n,m;
  
  gpio_init();
  rcc_init();  
  uart_init1();

  mdelay(1000);  // wait for flash loader communication...
  put_string1("\nLCD RGB TEST..");
  
  LcdInit();                
  LcdBl_H;  
  
  LcdSetDirection(90);
  LcdSetWindow(0,0,320,240);
  LcdDataStart();
  for(n=0;n<320;n++)
   {  for(m=0;m<240;m++) { LcdDataWrite(0xffff); }
   }
  LcdDataEnd();

  mdelay(1000);

  while(1)
  {  
     color_bar();
           
     LcdSetWindow(0,187,320,53);
     LcdDataStart();
     for(n=0;n<53;n++)
      {  for(m=0;m<320;m++) 
          {     
             LcdDataWrite(color);
          }
      }
     LcdDataEnd();

  }
}


